{
  "type": "exotelcraft:ruby_upgrading",
  "base": "exotelcraft:ruby_leggings",
  "first_addition": "exotelcraft:ruby",
  "second_addition": "minecraft:netherite_ingot",
  "result": {
    "count": 1,
    "id": "exotelcraft:upgraded_ruby_leggings"
  },
  "template": "exotelcraft:ruby_upgrade_ruby_upgrading_template"
}